> For the complete documentation index, see [llms.txt](https://docs.twintune.ai/twintune/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.twintune.ai/twintune/api-endpoints/post-tts-inference.md).

# POST TTS Inference

## Create new VC Inference Job

<mark style="color:blue;">`POST`</mark> `/v1/inferences-tts`

Creates a voice conversions [inference job](/twintune/types-and-limits/inference-job.md) and adds it to the inference queue.

### **Headers**

<table><thead><tr><th width="253">Name</th><th>Value</th></tr></thead><tbody><tr><td>Content-Type</td><td><code>application/json</code></td></tr><tr><td>x-api-key</td><td><code>&#x3C;token></code></td></tr></tbody></table>

### Body **Parameters** <a href="#request-body" id="request-body"></a>

<table><thead><tr><th width="198">Name</th><th width="107">Type</th><th>Description</th></tr></thead><tbody><tr><td>tts_text</td><td>text</td><td>text to be processed by the IA. Limit of 1000 characters.</td></tr><tr><td>tts_voice</td><td>text</td><td>name to TTS model.</td></tr></tbody></table>

{% hint style="info" %}
You can see the available models for "tts\_voice" in `Types & Limits > List TTS Models` .
{% endhint %}

### **Response**

{% tabs %}
{% tab title="200: OK" %}

<pre class="language-json"><code class="lang-json"><strong>{
</strong>    "inferenceId": "123x456",
    "modelId": "123x456",
    "status": "RUNNING",
    "type": "TTS",
    "inferenceUrl": null,
    "jobStartTime": "2024-01-01 20:15:50.428000 +00:00",
    "jobEndTime": null
}
</code></pre>

{% endtab %}

{% tab title="403: Forbidden" %}

```json
{"message": "Forbidden"}
```

{% endtab %}

{% tab title="413: Payload Too Large" %}

```json
{"message": "Payload Too Large"}
```

{% endtab %}

{% tab title="422: Bad Request" %}

```json
{
  "detail": [
    {
      "loc": [
        "query",
        ""
      ],
      "msg": "field required",
      "type": "value_error.missing"
    },
    {
      "loc": [
        "body",
        ""
      ],
      "msg": "field required",
      "type": "value_error.missing"
    }
  ]
}
```

{% endtab %}

{% tab title="429: Rate Limit" %}

```
{"error": "Rate limit exceeded."}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.twintune.ai/twintune/api-endpoints/post-tts-inference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
